---
layout: default
---

<article class="h-entry" itemscope itemtype="http://schema.org/Article">
  <nav aria-label="{{ site.data.layout.page.categories.label[site.locale] }}">
    {% for category in page.categories %}
      <a href="{{ category.url }}">{{ category.title }}</a>
    {% endfor %}
  </nav>

  <header>
    <h1 class="p-name" itemprop="name headline">{{ page.title | default: '' | escape }}</h1>

    {%- if page.description -%}
      <p class="lead p-summary" itemprop="description">{{ page.description | default: '' | escape }}</p>
    {%- endif -%}

    {%- if page.image.path -%}
      <picture>
        {% for size in site.images.sizes %}
          <source srcset="{{ page.image.path | thumbnail: size }}" media="(max-width: {{ size }}px)" />
        {% endfor %}

        <img class="img-fluid" src="{{ page.image.path | thumbnail: 1140 }}" alt="{{ page.image.description }}" />
      </picture>
    {%- endif -%}

    <p>
      <time class="dt-published" datetime="{{ page.date | date_to_xmlschema }}" itemprop="datePublished">
        {%- assign date_format = site.i18n.date.format | default: "%b %-d, %Y" -%}
        {{ page.date | date_local: date_format }}
      </time>
      {%- for author in page.author -%}
        •
        <span itemprop="author" itemscope itemtype="http://schema.org/Person">
          <span class="p-author h-card" itemprop="name">
            {{ author | default: '' | escape }}
          </span>
        </span>
      {%- endfor -%}
    </p>
  </header>

  <div class="row">
    <aside class="col-10 col-lg-6">
      <p class="p-name hidden">{{ page.title }}</p>

      {% if page.tags %}
        <p>
          {% for tag in page.tags %}
            <a href="etiquetas/{{ tag | slugify }}/" class="btn btn-recursero tag p-category">{{ tag }}</a>
          {% endfor %}
        </p>
      {% endif %}

    </aside>

    <div class="col-10 col-lg-6 e-content" itemprop="articleBody">
      {{ content }}
    </div>
  </div>

  <footer>
    {% for post in page.posts %}
      <article class="mb-3">
        <header>
          <h2><a class="" href="{{ post.url }}">{{ post.title }}</a></h2>
          <p class="lead">{{ post.description }}</p>
        </header>
      </article>
    {% endfor %}

    <a class="u-url" itemprop="url" href="{{ page.url }}" hidden>
      {{ site.url }}/{{ page.url }}
    </a>

    {%- if page.uuid -%}
      <span hidden itemprop="identifier">{{ page.uuid }}</span>
    {%- endif -%}

    {%- if page.license.url -%}
      <p itemprop="license" itemtype="http://schema.org/CreativeWork">
        <a rel="license" itemprop="url" href="{{ page.license.url }}">
          <span itemprop="articleBody">
            {{ page.license.description }}
          </span>
        </a>
      </p>
    {%- endif -%}

    {%- if page.tags %}
      <span itemprop="keywords" hidden>{{ page.tags | join: ', ' }}</span>
      {%- for tag in page.tags -%}
        <span hidden class="h-category">{{ tag }}</span>
      {%- endfor -%}
    {%- endif -%}
  </footer>
</article>
